import { I18nPluralParams } from '../types';
/**
 * Plurals translation of a single phrase.
 * Singular and plural forms will get added to locales if unknown.
 * @param params - Translate params.
 * @param count - Target count.
 * @param values - Values to print.
 * @returns Translated parsed and substituted string based on `count` parameter.
 */
export declare function __n(params: I18nPluralParams, count?: string | number, ...values: any[]): string;
/**
 * Plurals translation of a single phrase.
 * Singular and plural forms will get added to locales if unknown.
 * @param singularOrStrings - Singular form to translate, or array of strings.
 * @param count - Target count.
 * @param values - Values to print.
 * @returns Translated parsed and substituted string based on `count` parameter.
 */
export declare function __n(singularOrStrings: string | TemplateStringsArray, count: string | number, ...values: any[]): string;
/**
 * Plurals translation of a single phrase.
 * Singular and plural forms will get added to locales if unknown.
 * @param singular - Singular form to translate.
 * @param plural - Plural form to translate.
 * @param count - Target count.
 * @param values - Values to print.
 * @returns Translated parsed and substituted string based on `count` parameter.
 */
export declare function __n(singular: string, plural: string, count: string | number, ...values: any[]): string;
//# sourceMappingURL=__n.d.ts.map