'use strict';

var _JSON$stringify = require('@babel/runtime-corejs3/core-js-stable/json/stringify');
var _slicedToArray = require('@babel/runtime-corejs3/helpers/slicedToArray');
var _Object$entries = require('@babel/runtime-corejs3/core-js-stable/object/entries');
var _forEachInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/for-each');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _JSON$stringify__default = /*#__PURE__*/_interopDefaultLegacy(_JSON$stringify);
var _slicedToArray__default = /*#__PURE__*/_interopDefaultLegacy(_slicedToArray);
var _Object$entries__default = /*#__PURE__*/_interopDefaultLegacy(_Object$entries);
var _forEachInstanceProperty__default = /*#__PURE__*/_interopDefaultLegacy(_forEachInstanceProperty);

/**
 * Express middleware
 * @param config - i18n-node config
 * @returns Express middleware function.
 */
function i18nForBrowser(config) {
  var configForBrowser = {
    locales: {},
    fallbacks: config.fallbacks,
    cookieName: config.cookie,
    queryParameter: config.queryParameter,
    objectNotation: Boolean(config.objectNotation)
  };
  return function (request, response, next) {
    response.locals.initI18nForBrowser = function () {
      var _context;

      var targetLocale = request.locale;
      var targetCatalog = {};
      request.locale = false;
      var fullCatalog = request.getCatalog();
      request.locale = targetLocale;

      _forEachInstanceProperty__default['default'](_context = _Object$entries__default['default'](fullCatalog)).call(_context, function (_ref) {
        var _ref2 = _slicedToArray__default['default'](_ref, 2),
            locale = _ref2[0],
            catalog = _ref2[1];

        targetCatalog[locale] = locale === targetLocale ? catalog : {};
      });

      configForBrowser.defaultLocale = targetLocale;
      configForBrowser.locales = targetCatalog;
      return "<script>var I18N = ".concat(_JSON$stringify__default['default'](configForBrowser), ";</script>");
    };

    next();
  };
}

module.exports = i18nForBrowser;
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibWlkZGxld2FyZS5qcyIsInNvdXJjZXMiOltdLCJzb3VyY2VzQ29udGVudCI6W10sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiI7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7OyJ9
